%define upstream_name    Data-Semantic
%define upstream_version 1.101620

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Adapter for Regexp::Common patterns
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor::Complex)
BuildRequires: perl(Data::Inherited)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::CompanionClasses::Base)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(parent)
BuildArch: noarch

%description
There are various distributions on CPAN dealing with data that has
semantics attached them. For example, an IP address is not just a string,
but it has a format the can be checked.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml META.json README INSTALL
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.101.620-10.mga9
+ Revision: 1802835
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.101.620-9.mga8
+ Revision: 1493755
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.101.620-8.mga7
+ Revision: 1267009
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.101.620-7.mga6
+ Revision: 1024847
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 1.101.620-6.mga6
+ Revision: 934086
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.101.620-5.mga5
+ Revision: 740844
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.101.620-4.mga5
+ Revision: 684236
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.101.620-3.mga4
+ Revision: 510623
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.101.620-2.mga3
+ Revision: 365440
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 10 2011 kharec <kharec> 1.101.620-1.mga2
+ Revision: 180365
- imported package perl-Data-Semantic


* Sat Dec 10 2011 cpan2dist 1.101620-1mga
- initial mageia release, generated with cpan2dist
